Bug 790560 - Review Request: vinci - Algorithms for volume computation
Review Request: vinci - Algorithms for volume computation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On: 723752
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-14 15:36 EST by Jerry James
Modified: 2012-05-26 03:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:47:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbean: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2012-02-14 15:36:03 EST
Spec URL: http://jjames.fedorapeople.org/vinci/vinci.spec
SRPM URL: http://jjames.fedorapeople.org/vinci/vinci-1.0.5-1.fc16.src.rpm
Description: The volume is one of the central properties of a convex body, and volume computation is involved in many hard problems.  Applications range from rather classical ones as in convex optimization to problems in remote fields like algebraic geometry where the number of common roots of polynomials can be related to a special polytope volume.

Part of the fascination of the subject stems from the discrepancy between the intuitive notion of "volume" and the actual hardness of computing it.  Despite this discouraging complexity - algorithms in general need exponential time in the input dimension - steadily growing computer power enables us to attack problems of practical interest.

Vinci is an easy to install C package that implements the state of the art algorithms for volume computation.  It is the fruit of a research project carried out at the IFOR (Institute for Operations Research) at ETH Zürich, in collaboration with Benno Büeler and Komei Fukuda.
Comment 1 Paulo Andrade 2012-05-01 17:22:24 EDT
Is it ok to have unspecified group?

I notice that the requires lrslib-utils also has

Group       : Unspecified
Comment 2 Jerry James 2012-05-01 23:23:10 EDT
Yes, the Group tag isn't used by anything.  In fact, if you install the rpmdevtools package and then run /usr/bin/rpmdev-newspec, you will see that it creates a skeleton spec file without a Group tag.  This is intentional.  See https://fedorahosted.org/comps/ for the replacement for the Group tag.
Comment 3 Ralf Corsepius 2012-05-02 00:47:01 EDT
Permissions on /usr/bin/vinci are wrong:
-rwxrwxr-x    1 root    root                    59712 May  2 06:28 /usr/bin/vinci

To fix this, I'd recommend to use "install -m 755" instead of "cp -p" in %install.



Apart of this, to me, "Fixing the FSF address" is pretty pointless. I'd not do this.
Comment 4 Jerry James 2012-05-02 10:59:25 EDT
(In reply to comment #3)
> Permissions on /usr/bin/vinci are wrong:
> -rwxrwxr-x    1 root    root                    59712 May  2 06:28
> /usr/bin/vinci
> 
> To fix this, I'd recommend to use "install -m 755" instead of "cp -p" in
> %install.

Thanks for catching that.  I've used your suggested fix.

> Apart of this, to me, "Fixing the FSF address" is pretty pointless. I'd not do
> this.

I've had other reviewers demand that I do that for other packages.  I guess we need a clear statement in the guidelines about such "fixing".  In any case, I've removed it.  New URLs:

Spec URL: http://jjames.fedorapeople.org/vinci/vinci.spec
SRPM URL: http://jjames.fedorapeople.org/vinci/vinci-1.0.5-2.fc18.src.rpm
Comment 5 Ralph Bean 2012-05-03 13:09:37 EDT
I'll review this one.
Comment 6 Ralph Bean 2012-05-04 11:46:23 EDT
PACKAGE IS APPROVED

I only ask that you notify upstream that their FSF address is out of date:

http://lists.fedoraproject.org/pipermail/legal/2011-August/001701.html



Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint vinci-debuginfo-1.0.5-2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint vinci-1.0.5-2.fc18.src.rpm

vinci.src: W: spelling-error %description -l en_US polytope -> polythene
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint vinci-1.0.5-2.fc18.i686.rpm

vinci.i686: W: spelling-error %description -l en_US polytope -> polythene
vinci.i686: E: incorrect-fsf-address /usr/share/doc/vinci-1.0.5/COPYING
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/threebean/790560/vinci-1.0.5.tar.gz :
  MD5SUM this package     : 685eb2ddd2999d5439030f5e03653e05
  MD5SUM upstream package : 685eb2ddd2999d5439030f5e03653e05

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint vinci-debuginfo-1.0.5-2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint vinci-1.0.5-2.fc18.src.rpm

vinci.src: W: spelling-error %description -l en_US polytope -> polythene
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint vinci-1.0.5-2.fc18.i686.rpm

vinci.i686: W: spelling-error %description -l en_US polytope -> polythene
vinci.i686: E: incorrect-fsf-address /usr/share/doc/vinci-1.0.5/COPYING
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:
Comment 7 Jerry James 2012-05-04 12:37:12 EDT
(In reply to comment #6)
> PACKAGE IS APPROVED
> 
> I only ask that you notify upstream that their FSF address is out of date:
> 
> http://lists.fedoraproject.org/pipermail/legal/2011-August/001701.html

Done.  Thanks for the review, Ralph.
Comment 8 Jerry James 2012-05-04 12:38:24 EDT
New Package SCM Request
=======================
Package Name: vinci
Short Description: Algorithms for volume computation
Owners: jjames
Branches: f17
InitialCC:
Comment 9 Gwyn Ciesla 2012-05-04 12:50:50 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-05-04 13:37:30 EDT
vinci-1.0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vinci-1.0.5-2.fc17
Comment 11 Fedora Update System 2012-05-04 18:17:28 EDT
vinci-1.0.5-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-05-26 03:47:29 EDT
vinci-1.0.5-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.